com.mapinfo.midev.feature.impl

## Class AttributeFactory

- java.lang.Object
- - com.mapinfo.midev.feature.impl.AttributeFactory

    public final class AttributeFactory
    extends Object

Factory class that provides attributes initialized to supplied values.

### Method Summary

All Methods Static Methods Concrete Methods
`static IAttributeValue` `createAttribute(boolean value)` Creates an attribute of boolean type with the supplied initial value.
`static IAttributeValue` `createAttribute(byte value)` Creates an attribute of byte type with the supplied initial value.
`static IAttributeValue` `createAttribute(char value)` Creates an attribute of char type with the supplied initial value.
`static IAttributeValue` `createAttribute(double value)` Creates an attribute of double type with the supplied initial value.
`static IAttributeValue` `createAttribute(float value)` Creates an attribute of float type with the supplied initial value.
`static IAttributeValue` `createAttribute(IFeature value)` Creates an attribute of feature type with the supplied initial value.
`static IAttributeValue` `createAttribute(int value)` Creates an attribute of integer type with the supplied initial value.
`static IAttributeValue` `createAttribute(long value)` Creates an attribute of long type with the supplied initial value.
`static IAttributeValue` `createAttribute(MIDate value)` Creates an attribute of date type with the supplied initial value.
`static IAttributeValue` `createAttribute(MIDateTime value)` Creates an attribute of date time type with the supplied initial value.
`static IAttributeValue` `createAttribute(MIDateTimeZone value)` Creates an attribute of date time timezone type with the supplied initial value.
`static IAttributeValue` `createAttribute(MITime value)` Creates an attribute of time type with the supplied initial value.
`static IAttributeValue` `createAttribute(MITimespan value)` Creates an attribute of timespan type with the supplied initial value.
`static IAttributeValue` `createAttribute(short value)` Creates an attribute of short type with the supplied initial value.
`static IAttributeValue` `createAttribute(String value)` Creates an attribute of string type with the supplied initial value.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### createAttribute

    public static IAttributeValue createAttribute(int value)

Creates an attribute of integer type with the supplied initial value.

Parameters:
  `value` - the initial value of the attribute.
Returns:
  an attribute of integer type with the supplied value.

#### createAttribute

    public static IAttributeValue createAttribute(short value)

Creates an attribute of short type with the supplied initial value.

Parameters:
  `value` - the initial value of the attribute.
Returns:
  an attribute of short type with the supplied value.

#### createAttribute

    public static IAttributeValue createAttribute(long value)

Creates an attribute of long type with the supplied initial value.

Parameters:
  `value` - the initial value of the attribute.
Returns:
  an attribute of long type with the supplied value.

#### createAttribute

    public static IAttributeValue createAttribute(boolean value)

Creates an attribute of boolean type with the supplied initial value.

Parameters:
  `value` - the initial value of the attribute.
Returns:
  an attribute of boolean type with the supplied value.

#### createAttribute

    public static IAttributeValue createAttribute(char value)

Creates an attribute of char type with the supplied initial value.

Parameters:
  `value` - the initial value of the attribute.
Returns:
  an attribute of char type with the supplied value.

#### createAttribute

    public static IAttributeValue createAttribute(byte value)

Creates an attribute of byte type with the supplied initial value.

Parameters:
  `value` - the initial value of the attribute.
Returns:
  an attribute of byte type with the supplied value.

#### createAttribute

    public static IAttributeValue createAttribute(MIDate value)

Creates an attribute of date type with the supplied initial value.

Parameters:
  `value` - the initial value of the attribute.
Returns:
  an attribute of date type with the supplied value.

#### createAttribute

    public static IAttributeValue createAttribute(MIDateTime value)

Creates an attribute of date time type with the supplied initial value.

Parameters:
  `value` - the initial value of the attribute.
Returns:
  an attribute of date time type with the supplied value.

#### createAttribute

    public static IAttributeValue createAttribute(MIDateTimeZone value)

Creates an attribute of date time timezone type with the supplied initial value.

Parameters:
  `value` - the initial value of the attribute.
Returns:
  an attribute of date time timezone type with the supplied value.

#### createAttribute

    public static IAttributeValue createAttribute(MITime value)

Creates an attribute of time type with the supplied initial value.

Parameters:
  `value` - the initial value of the attribute.
Returns:
  an attribute of time type with the supplied value.

#### createAttribute

    public static IAttributeValue createAttribute(MITimespan value)

Creates an attribute of timespan type with the supplied initial value.

Parameters:
  `value` - the initial value of the attribute.
Returns:
  an attribute of timespan type with the supplied value.

#### createAttribute

    public static IAttributeValue createAttribute(float value)

Creates an attribute of float type with the supplied initial value.

Parameters:
  `value` - the initial value of the attribute.
Returns:
  an attribute of float type with the supplied value.

#### createAttribute

    public static IAttributeValue createAttribute(double value)

Creates an attribute of double type with the supplied initial value.

Parameters:
  `value` - the initial value of the attribute.
Returns:
  an attribute of double type with the supplied value.

#### createAttribute

    public static IAttributeValue createAttribute(IFeature value)

Creates an attribute of feature type with the supplied initial value.

Parameters:
  `value` - the initial value of the attribute.
Returns:
  an attribute of feature type with the supplied value.

#### createAttribute

    public static IAttributeValue createAttribute(String value)

Creates an attribute of string type with the supplied initial value.

Parameters:
  `value` - the initial value of the attribute.
Returns:
  an attribute of string type with the supplied value.